package com.rongwe.scentity.vo;

import cn.hutool.core.util.ObjectUtil;
import com.rongwei.rwcommonentity.commonservers.domain.SysNotifyAnnounceDo;
import lombok.Data;

import java.sql.Array;
import java.util.Arrays;
import java.util.List;

/**
 * @author ：sc
 * @since ：2024/9/12
 */
@Data
public class SysNoticeVo extends SysNotifyAnnounceDo {
//    private String userIds;

    private List<String> userIds;

    public void setUserIds(String userIds){
        if(ObjectUtil.isNotEmpty(userIds)){
            this.userIds = Arrays.asList(userIds.split(","));
        }
    }
}
